
From: Matt Mackall <mpm@selenic.com>

I've been fiddling with cleaning up some old code here and suggest the
following to make Lindent match actual practice more closely. This does:

a) (no -psl)

void *foo(void)
{

 instead of

void *
foo(void) {

b) (no -bs) "sizeof(foo)" rather than "sizeof (foo)"

c) (-ncs) "(void *)foo" rather than "(void *) foo"



---

 scripts/Lindent |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/Lindent~Lindent-goodness scripts/Lindent
--- 25/scripts/Lindent~Lindent-goodness	2004-01-29 12:16:01.000000000 -0800
+++ 25-akpm/scripts/Lindent	2004-01-29 12:16:01.000000000 -0800
@@ -1,2 +1,2 @@
 #!/bin/sh
-indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl "$@"
+indent -kr -i8 -ts8 -sob -l80 -ss -ncs "$@"

_
